MsWks4TextInternal::State Struct Reference

Internal: the state of a MsWks4Text. More...

## Public Member Functions

| State ()
| constructor
bool | parseMain () const
| returns true if we parse the main block
void | setParse (bool main)
| sets main to true if we parse the main block

## Public Attributes

Paragraph | m_paragraph
| the actual paragraph
MWAWFont | m_defFont
| the default font
std::vector< FontName > | m_fontNames
| the list of fonts names
std::vector< Font > | m_fontList
| a list of all font properties
std::vector< Paragraph > | m_paragraphList
| a list of all paragraph properties
std::vector< long > | m_pgdList
| a list of all page breaks
std::vector< Ftnt > | m_ftntList
| list of footnotes
std::map< long, Ftnt > | m_ftntMap
| mapping text offset to footnote
std::map< long, Object > | m_eobjMap
| mapping text offset to object
std::vector< DataPLC > | m_plcList
| list of all PLCs
MsWks4PLCInternal::KnownPLC | m_knownPLC
| the known plc

## Protected Attributes

bool | m_main
| true if we parse the main block

## Detailed Description

Internal: the state of a MsWks4Text.

Note
  in order to diffenciate a note definition with its main text position, we define a flag to indicate that we parse the MN0 ole or the Footnote ole ( see parseMain, setParse)

## Constructor & Destructor Documentation

## State()

MsWks4TextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## parseMain()

bool MsWks4TextInternal::State::parseMain | ( |  | ) | const

inline

returns true if we parse the main block

## setParse()

void MsWks4TextInternal::State::setParse | ( | bool | main | ) |

inline

sets main to true if we parse the main block

## Member Data Documentation

## m_defFont

MWAWFont MsWks4TextInternal::State::m_defFont

the default font

Referenced by State().

## m_eobjMap

std::map<long, Object> MsWks4TextInternal::State::m_eobjMap

mapping text offset to object

Referenced by State().

## m_fontList

std::vector<Font> MsWks4TextInternal::State::m_fontList

a list of all font properties

Referenced by State().

## m_fontNames

std::vector<FontName> MsWks4TextInternal::State::m_fontNames

the list of fonts names

Referenced by State().

## m_ftntList

std::vector<Ftnt> MsWks4TextInternal::State::m_ftntList

list of footnotes

Referenced by State().

## m_ftntMap

std::map<long, Ftnt> MsWks4TextInternal::State::m_ftntMap

mapping text offset to footnote

Referenced by State().

## m_knownPLC

MsWks4PLCInternal::KnownPLC MsWks4TextInternal::State::m_knownPLC

the known plc

Referenced by State().

## m_main

bool MsWks4TextInternal::State::m_main

protected

true if we parse the main block

Referenced by parseMain(), setParse(), and State().

## m_paragraph

Paragraph MsWks4TextInternal::State::m_paragraph

the actual paragraph

Referenced by State().

## m_paragraphList

std::vector<Paragraph> MsWks4TextInternal::State::m_paragraphList

a list of all paragraph properties

Referenced by State().

## m_pgdList

std::vector<long> MsWks4TextInternal::State::m_pgdList

a list of all page breaks

Referenced by State().

## m_plcList

std::vector<DataPLC> MsWks4TextInternal::State::m_plcList

list of all PLCs

Referenced by State().

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx